From 2a160e4effc070b48a0a789b94e545ff8054483e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 02:09:25 +0000
Subject: [PATCH 1192/2232] Pass Block only by Copy


---

diff --git a/gen/src/block.rs b/gen/src/block.rs
index 7775c52..19dc8b1 100644
--- a/gen/src/block.rs
+++ b/gen/src/block.rs
@@ -10,7 +10,7 @@ pub enum Block<'a> {
 }
 
 impl<'a> Block<'a> {
-    pub fn write_begin(&self, out: &mut String) {
+    pub fn write_begin(self, out: &mut String) {
         if let Block::InlineNamespace(_) = self {
             out.push_str("inline ");
         }
@@ -18,13 +18,13 @@ impl<'a> Block<'a> {
         out.push_str(" {\n");
     }
 
-    pub fn write_end(&self, out: &mut String) {
+    pub fn write_end(self, out: &mut String) {
         out.push_str("} // ");
         self.write_common(out);
         out.push('\n');
     }
 
-    fn write_common(&self, out: &mut String) {
+    fn write_common(self, out: &mut String) {
         match self {
             Block::AnonymousNamespace => out.push_str("namespace"),
             Block::Namespace(name) => {
diff --git a/gen/src/out.rs b/gen/src/out.rs
index 6867a76..7498c69 100644
--- a/gen/src/out.rs
+++ b/gen/src/out.rs
@@ -102,7 +102,7 @@ impl<'a> Content<'a> {
 
     pub fn end_block(&mut self, block: Block<'a>) {
         if self.blocks_pending.pop().is_none() {
-            Block::write_end(&block, &mut self.bytes);
+            Block::write_end(block, &mut self.bytes);
             self.section_pending = true;
         }
     }
@@ -118,7 +118,7 @@ impl<'a> Content<'a> {
                     self.bytes.push('\n');
                 }
                 for block in self.blocks_pending.drain(..) {
-                    Block::write_begin(&block, &mut self.bytes);
+                    Block::write_begin(block, &mut self.bytes);
                 }
                 self.section_pending = false;
             } else if self.section_pending {

